import processing.core.*; 
import processing.xml.*; 

import processing.net.*; 

import java.applet.*; 
import java.awt.*; 
import java.awt.image.*; 
import java.awt.event.*; 
import java.io.*; 
import java.net.*; 
import java.text.*; 
import java.util.*; 
import java.util.zip.*; 
import java.util.regex.*; 

public class EasyVisualisationConsignes extends PApplet {

 

// client that connects to the port for speed orders
Client myClient;

// two last values retrieved
int val1, val2;  

int[] values1,values2;

public void setup() {
  size(640, 240);
  smooth();
  // init history arrays
  values1 = new int[width];
  values2 = new int[width];
  // Connect to the local machine at port 5204.
  // This example will not run if you haven't
  // previously started a server on this port
  myClient = new Client(this, "127.0.0.1", 5204);
}

public void draw() {
  if (myClient.available() > 1) {
    if (myClient.read() != 0xFF)
    {
      println("Bad packet !");
      return;
    }
    val1 = myClient.read();
    val2 = myClient.read();
    // convertir en non sign\u00e9
    if (val1 >= 128)
    {
      val1 -= 256; 
    }
    if (val2 >= 128)
    {
      val2 -= 256;  
    }
    // Shift arrays storing values
    for (int i=0; i<width-1; i++) {
      values1[i] = values1[i+1];
      values2[i] = values2[i+1];
    }
    // Keep new value
    values1[width-1] = val1;
    values2[width-1] = val2;
  }
  // Clean screen with color
  background(255,90);
  // Display value 1 
  stroke(100,0,0); // color
  for (int x=1; x<width; x++) {
    line(width-x,   height-1-getY(values1[x-1]), 
    width-1-x, height-1-getY(values1[x]));
  }
  // Display value 2 
  stroke(0,100,0); // color
  for (int x=1; x<width; x++) {
    line(width-x,   height-1-getY(values2[x-1]), 
    width-1-x, height-1-getY(values2[x]));
  }
  //
  myClient.clear();
}

public int getY(int val) {
  return (int)(val / 500.0f * height) + height/2;
}



  static public void main(String args[]) {
    PApplet.main(new String[] { "--bgcolor=#d4d0c8", "EasyVisualisationConsignes" });
  }
}
